<!--{:tpl head}-->
<table cellpadding="0" cellspacing="1" class="table_list">
  <caption>
  生成HTML
  </caption>
  <tr>
    <th width="30%">选择栏目</th>
    <th>选择操作</th>
  </tr>
  <tr>
    <td align="center">
     <select id='catids'  multiple="multiple"  style="height:300px;width:250px;" title="按住“Ctrl”或“Shift”键可以多选，按住“Ctrl”可取消选择">
        <option value='all' selected="selected">所有栏目</option>
		<!--{:loop $modules $module}-->
		<option value='model_{:$module['name']}'>{:$module['title']}模型 - 适合生成内容</option>
		<!--{:/loop}-->
        <!--{:Tag::tree("<option value='\$catid'\$selected>\$tab\$name</option>", 0, '', 0, '0,1')}-->
      </select>
      <br />
      <span class="f_blue">（可以同时选择多个栏目）</span></td>
    <td valign="top"><table height="300" width="100%" cellpadding="0" cellspacing="0" class="table_list_in">
        <tr>
          <td><input type="button" value=" 一键更新 " id="btn_onekey" class="button"> <span class="fred">生成需要更新的页面，<strong>非必须操作</strong>（退出本系统，一般会自动更新）</span></td>
        </tr>
        <tr>
          <td><input type="button" value=" 生成栏目HTML " id="btn_category" class="button"></td>
        </tr>
        <tr>
          <td><input type="button" value=" 生成内容HTML " onclick="update_content()" class="button"></td>
        </tr>
        <tr>
          <td>更新最新发布的
            <input type="text" id="number" value="100" size="4">
            条信息
            <input type="button" value=" 开始更新 " onclick="update_content('last')" class="button"></td>
        </tr>
        <tr>
          <td>更新发布时间从 
		  <input type="text" id="starttime" value="" onFocus="WdatePicker({dateFmt:'yyyy-MM-dd HH:mm'})">
		  到
		  <input type="text" id="endtime" value="" onFocus="WdatePicker({dateFmt:'yyyy-MM-dd HH:mm'})">
		  的信息
            <input type="button" value=" 开始更新 " onclick="update_content('time')" class="button"></td>
        </tr>
        <tr>
          <td>更新文章 ID从
            <input type="text" id="fromid" value="0" size="8">
            到
            <input type="text" id="toid" size="8">
            的信息
            <input type="button" value=" 开始更新 " onclick="update_content('id')" class="button"></td>
        </tr>
        <tr>
          <td class="html_info">执行情况：<span id="info"></span></td>
        </tr>
      </table></td>
  </tr>
</table>
<script type="text/javascript" src="statics/My97DatePicker/WdatePicker.js"></script>
<script type="text/jscript">
var info_loading = '<img src="../../statics/images/loading.gif" /> 任务已提交至后台运行，您可以退出系统，或等待生成结果！',
	info_busy = '抱歉，系统繁忙，可能是其他用户在更新，或者是意外终止，您可以先更新缓存，再次执行！';
$(function(){
	$("#btn_onekey").click(function(){
		$('#info').html(info_loading);
		$.post("index.php?c=html", "id={:$loginInfo['userid']}&hash={:$loginInfo['hash']}", function(data){
			if(data.result == 'busy')$('#info').html(info_busy);
			else if(data.result == 'success')$('#info').html('生成首页'+data.index+'个，栏目页'+data.list+'个，内容页'+data.content+'个，用时'+data.time);
		}, 'json');
	});
	$("#btn_category").click(function(){
		if(!checkselcatids(1)) return false;
		$('#info').html(info_loading);
		$.post("index.php?c=html&a=category", "id={:$loginInfo['userid']}&hash={:$loginInfo['hash']}&catids="+$('#catids').val(), function(data){
			if(data.result == 'busy')$('#info').html(info_busy);
			else if(data.result == 'success')$('#info').html('生成栏目HTML文件'+data.list+'个，用时'+data.time);
		}, 'json');
	});
});
function update_content(op){
	if(!checkselcatids(0)) return false;
	var data = "id={:$loginInfo['userid']}&hash={:$loginInfo['hash']}&catids="+$('#catids').val()+"&op="+op;
	switch(op){
		case 'last':
			var number = parseInt($('#number').val());
			if (number) data += '&number=' + number;
			else {
				$('#info').html('请设置需要更新的记录数');
				$('#number').focus();
				return false;
			}
			break;
		case 'time':
			data += '&starttime=' + $('#starttime').val() + '&endtime=' + $('#endtime').val();
			break;
		case 'id':
			data += '&fromid=' + $('#fromid').val() + '&toid=' + $('#toid').val();
			break;
	}
	$('#info').html(info_loading);
	$.post("index.php?c=html&a=content", data, function(data){
		if(data.result == 'busy')$('#info').html(info_busy);
		else if(data.result == 'success')$('#info').html('生成内容HTML文件'+data.content+'个，用时'+data.time);
	}, 'json');
}
function checkselcatids(isCategory){
	var str = $('#catids').val().toString();
	var strs = new Array();
	strs = str.split(',');
	var cnt_mod = 0;
	var len = strs.length;
	var err = '抱歉，栏目选择有错误，任务不能执行！';
	if(len == 0) {
		$('#info').html(err);
		return false;
	} else {
		if(len > 1 && strs[0] == 'all'){
			$('#info').html('抱歉，所有栏目不能与其他选项同时被选择！');
			return false;
		}
		for(i=0; i<len; i++){    
			if(isNaN(strs[i])){
				if(strs[i] != 'all') cnt_mod++;
			}
		}
	}
	if (isCategory) {
		//更新栏目		
		if (cnt_mod) {
			$('#info').html(err);
			return false;
		}
		return true;
	} else {
		//更新内容，没有其他条件限制的更新内容
		if (cnt_mod == 0 || cnt_mod == len) return true;
		else {
			$('#info').html(err);
			return false;
		}			
	}
}
</script> 
<!--{:tpl foot}-->